## portspoof 1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(portspoof VERSION 1.3 LANGUAGES CXX)

# Set C++ Standard
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Find Threads (pthreads)
set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
find_package(Threads REQUIRED)

# Add source directory
add_subdirectory(src)

# Install configuration files
include(GNUInstallDirs)
install(FILES tools/portspoof.conf tools/portspoof_signatures
        DESTINATION ${CMAKE_INSTALL_SYSCONFDIR})

=== src/CMakeLists.txt ===
# Define sources
set(SOURCES
    Configuration.cpp
    connection.cpp
    Fuzzer.cpp
    Portspoof.cpp
    Server.cpp
    Revregex.cpp
    Utils.cpp
)

# Define headers (for IDE grouping)
set(HEADERS
    Configuration.h
    connection.h
    Fuzzer.h
    Server.h
    Revregex.h
    Threads.h
    Utils.h
)

# Create executable
add_executable(portspoof ${SOURCES} ${HEADERS})

# Link libraries
target_link_libraries(portspoof PRIVATE Threads::Threads)

# Add compile definition for configuration directory
# In Autotools this was passed via -DCONFDIR='"$(sysconfdir)"'
# For CMake, we can default to /etc unless specified
if(NOT DEFINED CONFDIR)
    set(CONFDIR "/etc")
endif()
target_compile_definitions(portspoof PRIVATE CONFDIR="${CONFDIR}")

# Install rules
install(TARGETS portspoof DESTINATION bin)

## portspoof 1.3+git20241227.89d5ecc

=== debian/changelog ===
portspoof (1.3+git20241227.89d5ecc-0kali1) kali-dev; urgency=medium

  * New upstream version 1.3+git20241227.89d5ecc
  * Bump Standards-Version to 4.7.0 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 Jan 2025 11:13:08 +0100

portspoof (1.3+git20240121.c3f3c34-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Add debian/source/lintian-overrides
  * New upstream version 1.3+git20231116.562795e
  * New upstream version 1.3+git20240121.c3f3c34

  [ Steev Klimaszewski ]
  * ci: Disable autopkgtest in CI.

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 25 Jan 2024 14:01:57 +0100

portspoof (1.3+git20230902.399f60e-0kali2) kali-dev; urgency=medium

  * Improve installation
  * Add autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 09 Nov 2023 17:17:11 +0100

portspoof (1.3+git20230902.399f60e-0kali1) kali-dev; urgency=medium

  * Initial release. (see 5326)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 11 Oct 2023 15:23:59 +0200

=== debian/control ===
Source: portspoof
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.0
Homepage: https://github.com/drk1wi/portspoof
Vcs-Browser: https://gitlab.com/kalilinux/packages/portspoof
Vcs-Git: https://gitlab.com/kalilinux/packages/portspoof.git

Package: portspoof
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 iptables
Description: enhance OS security through a set of techniques
 This package contains a service to enhance OS security through a set of following
 techniques:
    * All 65535 TCP ports are always open
      Instead of informing an attacker that a particular port is in a CLOSED or
      FILTERED state Portspoof will return SYN+ACK for every port connection
      attempt/
    * Every open TCP port emulates a service
      Portspoof has a huge database of dynamic service signatures, that will be
      used to generate fake banners and fool scanners.
 .
 This tool requires configuration before use.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	# change directory for config files and add an empty config file
	# so the user can adapt it
	mkdir -p debian/portspoof/etc/portspoof
	mv debian/portspoof/etc/portspoof_signatures debian/portspoof/etc/portspoof/portspoof_signatures
	cp debian/portspoof.conf debian/portspoof/etc/portspoof/

execute_after_dh_installdocs:
	mv debian/portspoof/etc/portspoof.conf debian/portspoof/usr/share/doc/portspoof/portspoof.conf.example

=== debian/tests/control ===
Test-Command: debian/tests/runtests.sh
Restrictions: needs-root, isolation-container, superficial, allow-stderr

=== debian/watch ===
version=4
opts="mode=git, pretty=1.3+git%cd.%h, pgpmode=none" \
    https://github.com/drk1wi/portspoof.git HEAD debian

## portspoof 1.4

=== debian/changelog ===
portspoof (1.4-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Sophie Brun ]
  * Update my email
  * Update debian/watch to version 5
  * New upstream version 1.4
  * Update docs installation
  * Add missing build-dep cmake
  * Bump Standards-Version to 4.7.2
  * Fix line too long in debian/control
  * Remove obsolete debian/source/lintian-overrides

 -- Sophie Brun <sophie@kali.org>  Wed, 17 Dec 2025 16:20:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
-Rules-Requires-Root: no
+Uploaders: Sophie Brun <sophie@kali.org>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.7.0
+ cmake
+Standards-Version: 4.7.2
 Homepage: https://github.com/drk1wi/portspoof
 Vcs-Browser: https://gitlab.com/kalilinux/packages/portspoof
 Vcs-Git: https://gitlab.com/kalilinux/packages/portspoof.git
@@ -19,8 +19,8 @@
  ${misc:Depends},
  iptables
 Description: enhance OS security through a set of techniques
- This package contains a service to enhance OS security through a set of following
- techniques:
+ This package contains a service to enhance OS security through a set of
+ following techniques:
     * All 65535 TCP ports are always open
       Instead of informing an attacker that a particular port is in a CLOSED or
       FILTERED state Portspoof will return SYN+ACK for every port connection

=== debian/watch ===
Version: 5
Template: Github
Owner: drk1wi
Project: portspoof
